Page MenuHomePhabricator

Changing the first letter of title of Template and Module namespace into case-insensitive for zh.wiktionary
Closed, ResolvedPublic

Description

Per consensus, please change the first letter of title of Template and Module namespace from case-sensitive into case-insensitive. Thank you.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 20 2018, 2:39 PM

analysis/ under discussion?

Liuxinyu970226 added a comment.EditedFeb 25 2018, 12:37 AM

@Wong128hk: Some conflicts still need to check, e.g. Template:Tl and Template:tl (which one for Tagalog and which one for showing plain text {{foo}}?)

RazeSoldier updated the task description. (Show Details)Feb 25 2018, 8:55 AM

Please use a permanent link to replace a normal link.

@Wong128hk: Some conflicts still need to check, e.g. Template:Tl and Template:tl (which one for Tagalog and which one for showing plain text {{foo}}?)

The mentioned template has been fixed. Afterwards, the mark for Tagalog will be added to Template:Tl also. Template:Tl will show Tagalog if it receives no parameter.

The conflicts have been settled. Please have a check and proceed the process. Thank you.

Change 445975 had a related patch set uploaded (by 星耀晨曦; owner: 星耀晨曦):
[operations/mediawiki-config@master] Exempt Template and Module namespace on zhwiktionary

https://gerrit.wikimedia.org/r/445975

RazeSoldier triaged this task as Low priority.
RazeSoldier moved this task from Backlog to To deploy on the Wikimedia-Site-requests board.
RazeSoldier changed the task status from Open to Stalled.Jul 16 2018, 2:09 PM
RazeSoldier moved this task from To deploy to Working on on the Wikimedia-Site-requests board.

@Wong128hk You should delete all pages with titles starting with lowercase letters. Because you can't do any action to them after the patch is deployed. You can refer to this query.

A complete list, the pages contained in this list should be deleted or moved to elsewhere.

@Wong128hk You should delete all pages with titles starting with lowercase letters. Because you can't do any action to them after the patch is deployed. You can refer to this query.

Is it possible that we delete them by API calls? Use API:Delete and specify pageid instead of title.

@Wong128hk You should delete all pages with titles starting with lowercase letters. Because you can't do any action to them after the patch is deployed. You can refer to this query.

Is it possible that we delete them by API calls? Use API:Delete and specify pageid instead of title.

You can delete the page by providing the page name or the page ID.

So it's not required to delete the pages before deploy the patch, right? We can delete pages with page ID.

So it's not required to delete the pages before deploy the patch, right?

Yes. You can delete the pages via API after deployed patch.

But some pages cannot be deleted directly. For example: Template:blend. Pages listed in this list will be break after deployed patch, because zhwiktionary without Template:Blend. So, we must be move like Template:blend to Template:Blend.

@RazeSoldier All the templates and modules starting with lowercase have been moved. Please have a check and deploy the patch.

@RazeSoldier All the templates and modules starting with lowercase have been moved. Please have a check and deploy the patch.

LGTM, already scheduled mid-day SWAT in Monday, July 23.

RazeSoldier changed the task status from Stalled to Open.Jul 21 2018, 8:19 AM
RazeSoldier moved this task from Working on to To deploy on the Wikimedia-Site-requests board.

Change 445975 merged by jenkins-bot:
[operations/mediawiki-config@master] Exempt Template and Module namespace on zhwiktionary

https://gerrit.wikimedia.org/r/445975

Mentioned in SAL (#wikimedia-operations) [2018-07-23T11:32:46Z] <zfilipin@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:445975|Exempt Template and Module namespace on zhwiktionary (T187783)]] (duration: 00m 55s)

RazeSoldier closed this task as Resolved.Jul 23 2018, 11:36 AM
RazeSoldier moved this task from Site configuration to Closed on the Chinese-Sites board.